Get an onramp order by ID
curl --request GET \
--url https://engine-api.shiga.io/v1/onramp/orders/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://engine-api.shiga.io/v1/onramp/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://engine-api.shiga.io/v1/onramp/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://engine-api.shiga.io/v1/onramp/orders/{id}")
.header("X-API-Key", "<api-key>")
.asString();{
"account": {
"account_name": "<string>",
"account_number": "<string>",
"amount": "100.50",
"bank_code": "<string>",
"bank_name": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"id": "<string>",
"provider": "<string>",
"provider_reference": "<string>",
"reference": "<string>",
"status": "<string>",
"type": "<string>",
"updated_at": "<string>"
},
"created_at": "<string>",
"customer_id": "<string>",
"destination_address": "<string>",
"destination_amount": "100.50",
"destination_currency": "<string>",
"execution_mode": "<string>",
"flow_type": "<string>",
"id": "<string>",
"metadata": {},
"quoted_rate": "1.25",
"reference": "<string>",
"source_amount": "100.50",
"source_currency": "<string>",
"status": "<string>",
"updated_at": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Onramp
Get an onramp order by ID
GET
/
v1
/
onramp
/
orders
/
{id}
Get an onramp order by ID
curl --request GET \
--url https://engine-api.shiga.io/v1/onramp/orders/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://engine-api.shiga.io/v1/onramp/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://engine-api.shiga.io/v1/onramp/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://engine-api.shiga.io/v1/onramp/orders/{id}")
.header("X-API-Key", "<api-key>")
.asString();{
"account": {
"account_name": "<string>",
"account_number": "<string>",
"amount": "100.50",
"bank_code": "<string>",
"bank_name": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"id": "<string>",
"provider": "<string>",
"provider_reference": "<string>",
"reference": "<string>",
"status": "<string>",
"type": "<string>",
"updated_at": "<string>"
},
"created_at": "<string>",
"customer_id": "<string>",
"destination_address": "<string>",
"destination_amount": "100.50",
"destination_currency": "<string>",
"execution_mode": "<string>",
"flow_type": "<string>",
"id": "<string>",
"metadata": {},
"quoted_rate": "1.25",
"reference": "<string>",
"source_amount": "100.50",
"source_currency": "<string>",
"status": "<string>",
"updated_at": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
API key authentication
Path Parameters
Order ID
Response
OK
Show child attributes
Show child attributes
Example:
"100.50"
Example:
"1.25"
Example:
"100.50"
⌘I